# mongod.conf
# for documentation of all options, see:
#   http://docs.mongodb.org/manual/reference/configuration-options/

# where and how to store data.
storage:
  dbPath: /bitnami/mongodb/data/db
  journal:
    enabled: true
  directoryPerDB: false

# where to write logging data.
systemLog:
  destination: file
  quiet: false
  traceAllExceptions: true
  logAppend: true
  path: /opt/bitnami/mongodb/logs/mongodb1.log
  verbosity: 5

# network interfaces
net:
  port: 27017
  unixDomainSocket:
    enabled: true
    pathPrefix: /opt/bitnami/mongodb/tmp
  ipv6: false
  bindIpAll: false
  bindIp: 127.0.0.1

# replica set options
replication:
  replSetName: mongodb-sharded-shard-1
  enableMajorityReadConcern: true

# sharding options
sharding:
  clusterRole: shardsvr

# process management options
processManagement:
   fork: false
   pidFilePath: /opt/bitnami/mongodb/tmp/mongodb.pid

# set parameter options
setParameter:
   enableLocalhostAuthBypass: false

# security options
security:
  authorization: enabled
  keyFile: /opt/bitnami/mongodb/conf/keyfile
